//
// Created by vrosca on 3/30/17.
//

#include <vector>
#include <iostream>
#include <fstream>

using namespace std;

void getFiboDifference (long long diff,
                        std::vector<int> &v,
                        int tr,
                        long long f2,
                        long long f3) {
    while (diff) {
        long long f1;
        while (f3 > diff) {
            f1 = f3 - f2;
            f3 = f2;
            f2 = f1;
            tr--;
        }

        diff -= f3;
        v[tr] = -1;
    }
}

void solve (long long nr, std::ostream& fout, int sign = 1) {
    if (nr < 0) {
        solve (-nr, fout, -1);
        return;
    }

    std::vector<int> v;
    if (nr == 0) {
        v.push_back(1);
        v.push_back(-1);
    }
    else if (nr == 1) {
        v.push_back (1);
    }
    else if (nr == 2) {
        v.push_back(1);
        v.push_back(1);
    }
    else {
        long long f1 = 1;
        long long f2 = 1;
        long long f3 = 2;
        int tr = 2;
        long long diff = 4 - nr, sum = 4;


        v.push_back(1);
        v.push_back(1);
        v.push_back(1);
        while (sum < nr || diff < 0 || diff & 1) {
            f1 = f2;
            f2 = f3;
            f3 = f1 + f2;
            sum += f3;
            tr++;
            v.push_back(1);
            diff = sum - nr;
        }

        getFiboDifference(diff >> 1, v, tr, f2, f3);
    }

    fout << v.size () << " ";
    for (auto el : v) {
        if (el == 1 * sign)
            fout << "+";
        else
            fout << "-";
    }
    fout << '\n';
}

int main () {
    ifstream fin ("lift.in");
    ofstream fout ("lift.out");

    int q;
    long long nr;
    fin >> q;
    for (int i = 0; i < q; i++) {
        fin >> nr;

        solve (nr, fout);
    }
    return 0;
}

